grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6.3-46-gd44a51f


From: Jim Meyering
Subject: grep branch, master, updated. v2.6.3-46-gd44a51f
Date: Sat, 17 Apr 2010 10:56:15 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  d44a51fee89ce27672cb04e4e71aeb35d14779c2 (commit)
      from  936238ad7282c24c0211ae1aabaffb424d28bc2b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=d44a51fee89ce27672cb04e4e71aeb35d14779c2


commit d44a51fee89ce27672cb04e4e71aeb35d14779c2
Author: Jim Meyering <address@hidden>
Date:   Sat Apr 17 12:10:01 2010 +0200

    tests: add an expected-to-fail test using \< in a multi-byte locale
    
    * tests/word-delim-multibyte: New test.  Currently failing.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS): Define, temporarily.
    Reported by Jaroslav Å karvada in http://savannah.gnu.org/bugs/?29537.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index f91daa8..fae2c85 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -22,6 +22,10 @@ AM_CFLAGS = $(WARN_CFLAGS) $(WERROR_CFLAGS)
 AM_LDFLAGS = $(IGNORE_UNUSED_LIBRARIES_CFLAGS)
 LDADD = ../lib/libgreputils.a $(LIBINTL) ../lib/libgreputils.a
 
+# Remove this definition once the failing test passes.
+XFAIL_TESTS = \
+  word-delim-multibyte
+
 TESTS =                                                \
   backref.sh                                   \
   backref-word                                 \
@@ -56,6 +60,7 @@ TESTS =                                               \
   prefix-of-multibyte                          \
   warning.sh                                   \
   word-multi-file                              \
+  word-delim-multibyte                         \
   yesno.sh
 
 EXTRA_DIST =                                   \
diff --git a/tests/word-delim-multibyte b/tests/word-delim-multibyte
new file mode 100644
index 0000000..20276c1
--- /dev/null
+++ b/tests/word-delim-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# exercise \< and \> with multibyte data.
+# Derived from http://savannah.gnu.org/bugs/?29537
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+echo 'é' > in || framework_failure_
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+fail=0
+grep '\<é' in > out 2>err || fail=1
+
+compare out in || fail=1
+compare err /dev/null || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/Makefile.am          |    5 +++++
 tests/word-delim-multibyte |   19 +++++++++++++++++++
 2 files changed, 24 insertions(+), 0 deletions(-)
 create mode 100644 tests/word-delim-multibyte


hooks/post-receive
-- 
grep




reply via email to

[Prev in Thread] Current Thread [Next in Thread]